Subject: Re: A Modest Proposal

From: Hiroshi Tamura <[email-masked]>
Date: Fri, 26 Oct 2001 08:55:20 +0900 (JST)

Excuse me for long mail. The original was not circulated in IETF-FAX ML.

Very difficult to change the format now.
More than 3 years have passed since RFC2301-2306 and ITU-T T.37 came out.

We already have products in our markets. For example,
My company, Ricoh, sells more than 1,000 I-Fax devices
that conforms to RFC2305/2301 and T.37. I do not know the exact number.
They are not software. Not easy to change ROM.

There are lots of I-Fax products in the world, including I-FAX software.
At least more than 10,000, I believe. The number is increasing.
Most Japanese Fax manufactures already have I-Fax products (devices)
or will start to sell it.

If changed easily, they could lose interoperability.
Also, the standardized body might lose customer's trust.

I would like to say, as already suggested,
there were no comments from Adobe at WG Last Call and IETF Last Call
in the process of these RFCs. Also, there were no objections
in the process ITU-T T.37.

As a co-chair, I know this issue should be solved very carefully.
We have to take Adobe's comment in some ways.
But, impossible to change so that lots of interoperability would be lost.

Regards,
--
Hiroshi Tamura, Co-chair of IETF-FAX WG
E-mail: [email-masked]

From: "Klotz, Leigh" <[email-masked]>
Subject: A Modest Proposal
Date: Wed, 24 Oct 2001 22:43:17 -0700

> As an individual contributor to IETF Internet Fax, I am writing to ask if it
> is time consider alternatives to TIFF as the basis for Internet Fax
> standards.
> 
> >From the preceding messages, it seems to me that Adobe is clearly stating
> that any use of TIFF in IETF standards must be subject to its intellectual
> property license grants.  While a number of IETF members disagree with the
> interpretation of what grants Adobe made, perhaps the safest course is to
> steer Internet Fax away from proprietary formats, or at least away from any
> use of formats that could require a license to publish as a standard or to
> implement.
> 
> It may be that basing IETF RFCs on proprietary formats such as TIFF and GIF
> is bound to cause friction between those who wish to preserve proprietary
> advantage and those who wish to promote wide adoption and interoperability.
> The W3C is similarly going through a period of self-examination and is
> accepting public comment on the use of patented technology in Web standards.
> 
> 
> I welcome the chance to take Adobe's recent announcements as an opportunity
> to explore these and other options for providing what I consider to be the
> goals of these efforts: the development of a robust, efficient, and
> extensible file format for documents that can be extended and rendered
> without intellectual property concerns, can be rendered quickly on small
> devices and, and viewed easily on all of today's desktops and all of
> tomorrow's information devices with no software installation.
> 
> I see three options: 
> (1) Shift away from TIFF to PNG, and work with PNG to define mixed-content
> and multi-page modes.  The PNG image file format grew out of a similar swirl
> of controversy of intellectual property and licensing issues surrounding the
> CompuServe GIF file format and the patents on LZW compression.  This is a
> long road, but perhaps ultimately a necessary one, if it is deemed necessary
> to have a standards-based image file format for Internet Fax and other
> similar uses.
> 
> (2) Shift away from TIFF to a profile of PDF, built on a PDF wrapper with
> canonicalized contents that can be parsed syntactically (i.e., specified
> formatting for MMR compressed-binary images, specific orderings of sections,
> etc.). The PDF profile would be a strict subset, based on existing published
> Adobe standards with no extensions so that the resulting PDF files will be
> viewable in any compliant PDF viewer.  Presumably no license grant or
> permission is necessary for specifying this profile, and the base cases
> (MMR, MH, etc.) are already known to be easily implementable in small
> devices for both generation and rendering.  if new compression types or new
> combination operators are necessary to achieve the goals of TIFF-FX, this
> road requires cooperation with Adobe for success, but such cooperation may
> be easier to achieve with the PDF format than with the TIFF format, due to
> apparent market focus reasons.  This approach has a high likelihood of
> achieving the goal of wide access to viewers, since PDF viewers are
> currently nearly ubiquitous in the computing world, and the syntactic
> profile would guarantee easy rendering in devices.
> 
> (2A) Same as (2) but built on some other easily renderable structured
> document format such as ePaper, Common Ground, etc.  Unfortunately, if we
> desktop share today, the no-install requirement rules these options out;
> however, time may change things.
>  
> (3) Shift away from TIFF to an XML-based format for file wrapper and
> meta-data and tags, and a binary encoding of data for image sections.   The
> structured data format of XML and its use of URIs for namespaces makes short
> work of currently contentious issues such as 16-bit tag allocation and file
> format variations.  The lead time to develop such a standard may be the
> longest, since it relies on works-in-progress such as XML Packaging (W3C),
> and on an acceptance of stream-oriented XML parsing in small devices such as
> Internet Fax machines and printers; perhaps, time (and Moore's law) will
> work in its favor.  This approach may be the most unifying in the long term,
> but the long term appears to be quite a few years.
> 
> 
> Sincerely,
> Leigh L. Klotz, Jr.
> Palo Alto, California
> 
> -----Original Message-----
> From: Scott Foshee [mailto:[email-masked]]
> Sent: Wednesday, October 24, 2001 7:26 PM
> To: [email-masked]; [email-masked]; [email-masked];
> [email-masked]; Ned Freed; Patrik Faltstrom; Claudio
> Allocchio; Hiroshi Tamura; [email-masked];
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: TIFF use issue
> 
> 
> 
> Dear Everyone,
> 
> I appreciate everyone's desire to contribute to this discussion. 
> However, the central point from Adobe's perspective remains unchanged 
> and the same since September of 1997.
> 
> **  Adobe desires to support the efforts of the IETF (and the ITU) in 
> their use of TIFF.  As such, Adobe provided a limited use license for 
> TIFF in September of 1997 and has been in ongoing contact with the 
> IETF as primary developer of TIFF FX since that time.  This license 
> grant is the only contribution by an officer of Adobe.  It is Adobe's 
> continuing legal position that TIFF FX (RFC 2301) and all derivative 
> works are outside the scope of this license.  Since the ITU has the 
> same license as the IETF, this would directly affect any ITU 
> re-publication of TIFF FX as well as other derivative works. This has 
> been communicated to the IETF editors throughout the process and to 
> senior IETF officers during the IETF last call process. Additionally, 
> the IEEE has been notified that they need a license to proceed with 
> standards based on TIFF or its derivatives.
> 
> It is our understanding that legal analysis and business discussions 
> are outside the scope of any technical standards organization.  It is 
> the activity of the working group to make technical decisions while 
> considering legal issues, not to engage in legal activity as a body. 
> Thus, Adobe recommends that the IETF working group focus attention on 
> a discussion of TIFF FX development, but do so being fully aware that 
> legal issues are in contention. Adopters of TIFF FX implicitly 
> consider these same issues.
> 
>       1.  No amount of working group discussion or analysis can change 
> the terms and conditions of the written license granted 9/97.
>       2.  Adobe will not participate in business discussions that 
> could be construed as being in conflict of anti-trust regulations.
>       3.  It would seem that IETF officers have offered and/or 
> reiterated legal analysis and/or conclusions as the basis for working 
> group actions and/or progression of TIFF FX under RFC 2026. However, 
> this is often done concurrent with a statement that the IETF does not 
> take positions regarding IP.
>       4.  Adobe understands official IETF policy to be that the IETF 
> declines to take a position regarding the IP content of its standards 
> and thus Adobe's license.  Therefore, each participant and user of 
> TIFF FX is responsible for an independent legal evaluation and 
> decision despite any other action by the IETF or its officers.
> 
> Adobe continues to recommend a path forward that allows those parts 
> of TIFF FX that are in scope of Adobe's license to progress rapidly. 
> Alternatively and at the request of the committee, we have also 
> provided a process whereby the scope of the license could potentially 
> be expanded by adding scope to the underlying Adobe TIFF 
> specification.  The working group has thus far declined to take 
> advantage of either.  Additionally, we have offered to assist the 
> IEEE if they choose to seek a license to use TIFF.  We have yet to be 
> contacted in this regard.
> 
> Adobe continues to be interested in working with the IETF and ITU to 
> bring their work into scope of our license, and with the IEEE in 
> their efforts to seek a license.
> 
> Sincerely,
> 
> Scott Foshee
>